# $Revision: 1.13 $, $Date: 2006/11/30 16:46:06 $
Summary:	Application suite for mobile phones
Summary(pl):	Aplikacja do obsugi telefonw komrkowych
Name:		gnocky
Version:	0.0.3
Release:	4
Epoch:		1
License:	GPL v2+
Group:		Applications/Communications
Source0:	http://gnokii.org/download/gnocky/%{name}-%{version}.tar.bz2
# Source0-md5:	239cfb4b743dc69723acbd01c44e7128
Source1:	%{name}.desktop
URL:		http://gnocky.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libglade2-devel
BuildRequires:	libtool
BuildRequires:	libgnokii-devel
BuildRequires:	pkgconfig
Requires:	libgnokii >= 1:0.5.7
Requires:	gnokii >= 1:0.5.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gnocky is an application that will allow you to use many features of
your mobile phone (setting logos, sending SMS, addressbook
management). It uses user-space mobile driver provided by gnokii
project.

%description -l pl
Gnocky jest aplikacj pozwalajc na zarzdzanie telefonem (ustawianie
logo, wysyanie SMS, zarzdzanie ksik adresow). Uywa sterownikw
dostarczanych przez projekt gnokii.

%prep
%setup -q

%build
rm -rf autom4te.cache
%{__gettextize}
%{__libtoolize}
%{__autoheader}
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/glade
%dir %{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/glade/*
%{_datadir}/%{name}/pixmaps/*
%{_desktopdir}/gnocky.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnocky.spec,v $
Revision 1.13  2006/11/30 16:46:06  glen
- rel 4

Revision 1.12  2004/11/27 16:56:51  zbyniu
- BR: pkgconfig

Revision 1.11  2004/10/16 06:30:51  paladine
- spelling fix

Revision 1.10  2004/09/21 01:04:52  ankry
- rel. 2

Revision 1.9  2004/07/23 19:40:26  qboosh
- uh, doesn't even use bluez* itself, libgnokii does

Revision 1.8  2004/07/23 14:53:34  qboosh
- require bluez-libs w/o libsdp

Revision 1.7  2004/07/23 14:32:15  pluto
- updated to 0.0.3.

Revision 1.6  2004/04/15 15:35:13  krzak
- BuildRequires:  libgnokii-devel

Revision 1.5  2004/04/15 15:25:03  krzak
- up to rel 1

Revision 1.4  2004/03/15 20:38:11  qboosh
- cosmetics

Revision 1.3  2004/03/15 09:57:59  ankry
- cosmetics

Revision 1.2  2004/03/15 09:39:15  krzak
- R: gnokii - need to work

Revision 1.1  2004/03/15 09:36:31  krzak
- initial spec.
